// multi-dimensional arrays
class C {
    public static void main(String[] args) {
	int[][] j = new int[3][4];
	j[0][0] = 2;
	int k = j.length;
	int l = j[0].length;

	m();
	n();
    }
    static void m() {
	int[][] x = new int[][] {{1,2,3}, {1,2,3}};
	x[0][0] = 2;
	int y = x.length;
	int z = x[0].length;
    }
    static void n() {
	String[][] xx = new String[2][3];
	xx[0][0] = "";
	int yy = xx.length;
	int zz = xx[0].length;
	int ww = xx[0][0].length();
    }
}
